Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dataxslt.db
Class PageSetDB

    java.lang.Object
      com.knowgate.dataobjs.DBPersist
          com.knowgate.dataxslt.db.PageSetDB

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

    public class PageSetDB

extends DBPersist

PageSet database index

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static short` | `ClassId`

Fields inherited from class com.knowgate.dataobjs.DBPersist
`AllVals, sAuditCls, sAuditUsr, sTransactId`

Constructor Summary
`PageSetDB()`
`PageSetDB(JDCConnection oConn, java.lang.String sPageSetGUID)`

Method Summary
`void` | `addBlackList(java.lang.String[] aEMails)`
`void` | `addRecipients(java.lang.String[] aEMails)`
`void` | `clearRecipients()`
`void` | `clone(JDCConnection oConn, java.lang.String sProtocol, java.lang.String sStorage, PageSetDB oSource)` Clone another page set including all its pages into current object instance Both database registers and XML and HTML files are cloned.
`boolean` | `delete(JDCConnection oConn)` Delete a register from database The deleted register will be the one matching this DBPersist primary key, as set at constructor or load() method.
`static boolean` | `delete(JDCConnection oConn, java.lang.String sPageSetGUID)`
`boolean` | `existsFile()`
`static java.lang.String` | `filePath(JDCConnection oConn, java.lang.String sPageSetGUID)` Get relative path to XML data file Relative path is readed from field path_data of table k_pagesets.
`java.lang.String` | `getAllowPattern()`
`java.lang.String[]` | `getBlackList()`
`java.lang.String` | `getDenyPattern()`
`PageDB` | `getFirstPage(JDCConnection oConn)` First Page of this PageSet
`PageDB[]` | `getPages(JDCConnection oConn)` Pages of this PageSet
`PageSet` | `getPageSet(JDCConnection oConn, java.lang.String sBasePath)`
`java.lang.String[]` | `getRecipients()`
`boolean` | `load(JDCConnection oConn, java.lang.Object[] aPK)` Load the internal value set from a register at a database table
`void` | `setAllowPattern(java.lang.String sAllowPattern)`
`void` | `setDenyPattern(java.lang.String sDenyPattern)`
`void` | `setPage(JDCConnection oConn, java.lang.String sIdPage, int iPgPage, java.lang.String sTlPage, java.lang.String sPathPage)`
`boolean` | `store(JDCConnection oConn)` Store a register at database representing this instance of DBPersist Insertions and updates : The store method automatically manages register insertions and updates.

Methods inherited from class com.knowgate.dataobjs.DBPersist
`allcaps, allcaps, changelog, clear, clone, containsKey, containsValue, entrySet, exists, get, get, getAuditClassName, getCreationDate, getDate, getDateFormated, getDateShort, getDateTime, getDateTime24, getDecimal, getDecimalFormated, getDecimalFormated, getDouble, getDoubleFormated, getFloat, getFloatFormated, getInt, getInteger, getIntervalPart, getItemMap, getItems, getMoney, getShort, getSQLDate, getSQLTime, getString, getStringHtml, getStringNull, getTable, getTable, getTableName, getTime, getTimeOfDay, getTimestamp, getUIdFromName, isEmpty, isNull, iterator, keySet, load, parseXML, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, putAll, putAll, remove, remove, replace, replace, replace, replace, replace, replace, replace, replace, setAuditTransact, setAuditUser, setCreationDate, size, toLowerCase, toUpperCase, toXML, toXML, toXML, toXML, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### ClassId

    public static final short ClassId

See Also:
  Constant Field Values

Constructor Detail

### PageSetDB

    public PageSetDB()

### PageSetDB

    public PageSetDB(JDCConnection oConn,
                     java.lang.String sPageSetGUID)
              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### getPageSet

    public PageSet getPageSet(JDCConnection oConn,
                              java.lang.String sBasePath)
                       throws java.sql.SQLException,
                              java.lang.ClassNotFoundException,
                              java.lang.Exception

  Throws:
    `java.sql.SQLException`
    `java.lang.ClassNotFoundException`
    `java.lang.Exception`

### load

    public boolean load(JDCConnection oConn,
                        java.lang.Object[] aPK)
                 throws java.sql.SQLException

  Description copied from class: `DBPersist`

  Load the internal value set from a register at a database table

  Overrides:
    `load` in class `DBPersist`
  Parameters:
    `oConn` - Database Connection
    `aPK` - Primary key values in order of appearance
  Returns:
    true if a register was found, false if no register was found with such primary key.
  Throws:
    `java.sql.SQLException`

### store

    public boolean store(JDCConnection oConn)
                  throws java.sql.SQLException

  Description copied from class: `DBPersist`

  Store a register at database representing this instance of DBPersist

  Insertions and updates : The store method automatically manages register insertions and updates. If the stored object already exists at database then it is updated, if it does not exists then it is inserted. A primary key violation error is never thrown so ther is no need to call delete() method before re-writing an existing object.

  NULL fields : All values not set calling put() methods for DBPersist will be assumed to be NULL. If a not nullable field is not set then an SQLException will be raised.
  On storing an already existing object all values will we overwrited, so is a DBPersist is not fully loaded before storing it, values not set by calling put() methods that already were present at database will be lost.

  Overrides:
    `store` in class `DBPersist`
  Parameters:
    `oConn` - Database Connection
  Returns:
    boolean true if register was stored for the first time, false if register already existed.
  Throws:
    `java.sql.SQLException`

### delete

    public boolean delete(JDCConnection oConn)
                   throws java.sql.SQLException

  Description copied from class: `DBPersist`

  Delete a register from database

  The deleted register will be the one matching this DBPersist primary key, as set at constructor or load() method.

  Overrides:
    `delete` in class `DBPersist`
  Parameters:
    `oConn` - Database connection
  Returns:
    true if register was successfully erased, false if not.
  Throws:
    `java.sql.SQLException`

### existsFile

    public boolean existsFile()

### setPage

    public void setPage(JDCConnection oConn,
                        java.lang.String sIdPage,
                        int iPgPage,
                        java.lang.String sTlPage,
                        java.lang.String sPathPage)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### filePath

    public static java.lang.String filePath(JDCConnection oConn,
                                            java.lang.String sPageSetGUID)
                                     throws java.sql.SQLException

  Get relative path to XML data file

  Relative path is readed from field path_data of table k_pagesets.
  For example: domains/2049/workareas/c0a801ccf90ee54e40100000ffd3af4f/apps/Mailwire/data/Basic (Dec 8 2003 11.00.01 PM).xml

  Parameters:
    `oConn` - Database Connection
    `sPageSetGUID` - GUID of PageSet witch data file relative path is to be retrieved
  Returns:
    Relative path to XML metadata file or null if no Microsite with such GUID was found at k_microsites table.
  Throws:
    `java.sql.SQLException`

### getFirstPage

    public PageDB getFirstPage(JDCConnection oConn)
                        throws java.sql.SQLException

  First Page of this PageSet

  Parameters:
    `oConn` - Database Connection
  Returns:
    PageDB object or null if this PageSet has no pages at k_pageset_pages table
  Throws:
    `java.sql.SQLException`

### getPages

    public PageDB[] getPages(JDCConnection oConn)
                      throws java.sql.SQLException

  Pages of this PageSet

  Parameters:
    `oConn` - Database Connection
  Returns:
    Array of PageDB objects or null if this PageSet has no pages at k_pageset_pages table
  Throws:
    `java.sql.SQLException`

### clone

    public void clone(JDCConnection oConn,
                      java.lang.String sProtocol,
                      java.lang.String sStorage,
                      PageSetDB oSource)
               throws java.io.IOException,
                      java.sql.SQLException

  Clone another page set including all its pages into current object instance

  Both database registers and XML and HTML files are cloned.

  Parameters:
    `oConn` - JDCConnection
    `sProtocol` - File transfer protocol (usually "file://") if null then file:// is the default
    `sStorage` - String Absolute path to storage directory (from storage property of hipergate.cnf file)
    `oSource` - Source PageSetDB object instance to be cloned
  Throws:
    `java.io.IOException`
    `java.sql.SQLException`
  Since:
    5.0

### getBlackList

    public java.lang.String[] getBlackList()

### addBlackList

    public void addBlackList(java.lang.String[] aEMails)
                      throws MalformedPatternException

  Throws:
    `MalformedPatternException`

### clearRecipients

    public void clearRecipients()

### getRecipients

    public java.lang.String[] getRecipients()

### getAllowPattern

    public java.lang.String getAllowPattern()

### setAllowPattern

    public void setAllowPattern(java.lang.String sAllowPattern)

### getDenyPattern

    public java.lang.String getDenyPattern()

### setDenyPattern

    public void setDenyPattern(java.lang.String sDenyPattern)

### addRecipients

    public void addRecipients(java.lang.String[] aEMails)
                       throws java.lang.ArrayIndexOutOfBoundsException,
                              MalformedPatternException

  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`
    `MalformedPatternException`

### delete

    public static boolean delete(JDCConnection oConn,
                                 java.lang.String sPageSetGUID)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD